API ReferenceapimessagingPOST /v1/messaging/consent/check

POST /v1/messaging/consent/check

Service: messaging · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "brand_id": {
      "type": "string"
    },
    "person_id": {
      "type": "string"
    },
    "channel": {
      "type": "string"
    },
    "category": {
      "type": "string"
    }
  },
  "required": [
    "brand_id",
    "person_id",
    "channel",
    "category"
  ]
}

Responses

{
  "type": "object",
  "properties": {
    "consented": {
      "type": "boolean"
    },
    "reason": {
      "type": "string",
      "enum": [
        "transactional_bypass",
        "opted_in",
        "no_consent_row",
        "opted_out"
      ]
    },
    "opted_in": {
      "type": [
        "boolean",
        "null"
      ]
    },
    "source": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "consented",
    "reason",
    "opted_in",
    "source"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://messaging.platform.loop.health/v1/messaging/consent/check \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'